=== modified file 'mysys/my_getsystime.cc'
--- mysys/my_getsystime.cc	2008-12-18 06:30:02 +0000
+++ mysys/my_getsystime.cc	2009-02-10 09:21:03 +0000
@@ -114,40 +114,16 @@
 
 uint64_t my_micro_time_and_time(time_t *time_arg)
 {
-#if defined(HAVE_GETHRTIME)
-  /*
-    Solaris has a very slow time() call. We optimize this by using the very
-    fast gethrtime() call and only calling time() every 1/2 second
-  */
-
-#define DELTA_FOR_SECONDS 500000000LL  /* Half a second */
-
-  static hrtime_t prev_gethrtime= 0;
-  static time_t cur_time= 0;
-  hrtime_t cur_gethrtime;
-
-  pthread_mutex_lock(&THR_LOCK_time);
-  cur_gethrtime= gethrtime();
-  if ((cur_gethrtime - prev_gethrtime) > DELTA_FOR_SECONDS)
-  {
-    cur_time= time(0);
-    prev_gethrtime= cur_gethrtime;
-  }
-  *time_arg= cur_time;
-  pthread_mutex_unlock(&THR_LOCK_time);
-  return cur_gethrtime/1000;
-#else
   uint64_t newtime;
   struct timeval t;
   /*
     The following loop is here because gettimeofday may fail on some systems
   */
-  while (gettimeofday(&t, NULL) != 0)
-  {}
+  while (gettimeofday(&t, NULL) != 0) {}
   *time_arg= t.tv_sec;
   newtime= (uint64_t)t.tv_sec * 1000000 + t.tv_usec;
+
   return newtime;
-#endif  /* defined(HAVE_GETHRTIME) */
 }
 
 
@@ -169,11 +145,6 @@
 
 time_t my_time_possible_from_micro(uint64_t microtime)
 {
-#if defined(HAVE_GETHRTIME)
-  (void) microtime;
-  return time(0);                            /* Cached time */
-#else
   return (time_t) (microtime / 1000000);
-#endif  /* defined(HAVE_GETHRTIME) */
 }
 

=== modified file 'mysys/my_thr_init.cc'
--- mysys/my_thr_init.cc	2009-02-09 17:09:52 +0000
+++ mysys/my_thr_init.cc	2009-02-10 09:21:03 +0000
@@ -42,7 +42,6 @@
 pthread_mutex_t THR_LOCK_open;
 pthread_mutex_t THR_LOCK_lock;
 pthread_mutex_t THR_LOCK_threads;
-pthread_mutex_t THR_LOCK_time;
 pthread_cond_t  THR_COND_threads;
 uint32_t            THR_thread_count= 0;
 uint32_t 		my_thread_end_wait_time= 5;
@@ -122,7 +121,6 @@
   pthread_mutex_init(&THR_LOCK_open,MY_MUTEX_INIT_FAST);
   pthread_mutex_init(&THR_LOCK_lock,MY_MUTEX_INIT_FAST);
   pthread_mutex_init(&THR_LOCK_threads,MY_MUTEX_INIT_FAST);
-  pthread_mutex_init(&THR_LOCK_time,MY_MUTEX_INIT_FAST);
   pthread_cond_init(&THR_COND_threads, NULL);
   if (my_thread_init())
   {
@@ -172,7 +170,6 @@
 #endif
   pthread_mutex_destroy(&THR_LOCK_open);
   pthread_mutex_destroy(&THR_LOCK_lock);
-  pthread_mutex_destroy(&THR_LOCK_time);
   if (all_threads_killed)
   {
     pthread_mutex_destroy(&THR_LOCK_threads);

=== modified file 'mysys/mysys_priv.h'
--- mysys/mysys_priv.h	2009-02-09 17:09:52 +0000
+++ mysys/mysys_priv.h	2009-02-10 09:21:03 +0000
@@ -28,7 +28,6 @@
 #include <mysys/thr_lock.h>
 extern pthread_mutex_t THR_LOCK_malloc, THR_LOCK_open, THR_LOCK_keycache;
 extern pthread_mutex_t THR_LOCK_net;
-extern pthread_mutex_t THR_LOCK_time;
 
 /*
   EDQUOT is used only in 3 C files only in mysys/. If it does not exist on

